public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mikle Kolyada" <zlogene@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/opensc/
Date: Wed,  1 Sep 2021 11:59:06 +0000 (UTC)	[thread overview]
Message-ID: <1630497543.c79a0efb8bd4595d843b4bdaa1a1c4b4f233b7d9.zlogene@gentoo> (raw)

commit:     c79a0efb8bd4595d843b4bdaa1a1c4b4f233b7d9
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Wed Sep  1 11:58:25 2021 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Wed Sep  1 11:59:03 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c79a0efb

dev-libs/opensc: add 0.22.0

Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 dev-libs/opensc/Manifest             |  1 +
 dev-libs/opensc/opensc-0.22.0.ebuild | 65 ++++++++++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/dev-libs/opensc/Manifest b/dev-libs/opensc/Manifest
index c25c8a7d762..bbd5aee1092 100644
--- a/dev-libs/opensc/Manifest
+++ b/dev-libs/opensc/Manifest
@@ -1 +1,2 @@
 DIST opensc-0.21.0.tar.gz 2210878 BLAKE2B 22b63ca59cb721cdbbda755fa90f5b46fd9e5b6d7768cddbfeaffd58d68adcb145d6d604b334cf778608be9ee5fc98109f98d131d2536e61f79705aa3dbafa6c SHA512 3511b0a04a96e62011c48667e3fd36a1611fe67a89f7626ff056c9c3614f8cabc91c9924a6ca7a8ea50076a128e3967277a0dd624b4fa27c62cefee9fab22646
+DIST opensc-0.22.0.tar.gz 2287020 BLAKE2B 74e4bb6843b640c5a397b820a52180a34159c330f5ecb81af166096f23e2499ef1a4d555b5d71613da57ba121d0f984dcfdc2ba9491f26f826a423725a2321e2 SHA512 70ad5f1219f2ec2a5529a30d8e9955510c77c87d0bc857d5951c7227c75cf9de1c6071f43dd3816a2034123ebd902709793ff776e84d5379fdd54c811ccfaaee

diff --git a/dev-libs/opensc/opensc-0.22.0.ebuild b/dev-libs/opensc/opensc-0.22.0.ebuild
new file mode 100644
index 00000000000..40c261f055b
--- /dev/null
+++ b/dev-libs/opensc/opensc-0.22.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit bash-completion-r1 libtool
+
+DESCRIPTION="Libraries and applications to access smartcards"
+HOMEPAGE="https://github.com/OpenSC/OpenSC/wiki"
+SRC_URI="https://github.com/OpenSC/OpenSC/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~s390 ~sparc ~x86"
+IUSE="ctapi doc openct notify +pcsc-lite readline secure-messaging ssl test zlib"
+RESTRICT="!test? ( test )"
+
+RDEPEND="zlib? ( sys-libs/zlib )
+	readline? ( sys-libs/readline:0= )
+	ssl? ( dev-libs/openssl:0= )
+	openct? ( >=dev-libs/openct-0.5.0 )
+	pcsc-lite? ( >=sys-apps/pcsc-lite-1.3.0 )
+	notify? ( dev-libs/glib:2 )"
+DEPEND="${RDEPEND}
+	app-text/docbook-xsl-stylesheets
+	dev-libs/libxslt
+	test? ( dev-util/cmocka )"
+BDEPEND="virtual/pkgconfig"
+
+REQUIRED_USE="
+	pcsc-lite? ( !openct !ctapi )
+	openct? ( !pcsc-lite !ctapi )
+	ctapi? ( !pcsc-lite !openct )
+	|| ( pcsc-lite openct ctapi )"
+
+src_prepare() {
+	default
+	elibtoolize
+}
+
+src_configure() {
+	econf \
+		--with-completiondir="$(get_bashcompdir)" \
+		--disable-openpace \
+		--disable-static \
+		--disable-strict \
+		--enable-man \
+		$(use_enable ctapi) \
+		$(use_enable doc) \
+		$(use_enable notify ) \
+		$(use_enable openct) \
+		$(use_enable pcsc-lite pcsc) \
+		$(use_enable readline) \
+		$(use_enable secure-messaging sm) \
+		$(use_enable ssl openssl) \
+		$(use_enable test cmocka) \
+		$(use_enable zlib)
+}
+
+src_install() {
+	default
+	find "${D}" -name '*.la' -delete || die
+	insinto /etc/pkcs11/modules/
+	doins "${FILESDIR}/${PN}.module"
+}


             reply	other threads:[~2021-09-01 11:59 UTC|newest]

Thread overview: 114+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-09-01 11:59 Mikle Kolyada [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-25 16:09 [gentoo-commits] repo/gentoo:master commit in: dev-libs/opensc/ Sam James
2025-03-08 17:05 Sam James
2025-03-08 14:58 Arthur Zamarin
2025-03-08 14:51 Jakov Smolić
2025-03-08 14:09 Sam James
2025-03-08 14:09 Sam James
2024-12-02  9:48 Sam James
2024-05-27  8:16 David Seifert
2024-05-25 12:53 Arthur Zamarin
2024-05-23 21:57 Sam James
2024-05-23 21:56 Sam James
2024-05-23 15:56 Arthur Zamarin
2024-05-23 15:56 Arthur Zamarin
2024-05-23 15:56 Arthur Zamarin
2024-05-23 15:56 Arthur Zamarin
2024-04-22 15:11 David Seifert
2024-04-15  9:00 Arthur Zamarin
2024-04-15  9:00 Arthur Zamarin
2024-04-15  9:00 Arthur Zamarin
2024-04-15  8:45 Arthur Zamarin
2024-04-15  8:43 Arthur Zamarin
2024-03-17  6:27 Ionen Wolkens
2024-03-15  4:08 Sam James
2024-03-15  4:08 Sam James
2024-03-09 12:04 David Seifert
2024-02-12 13:05 Sam James
2024-02-12 13:05 Sam James
2024-02-12 10:24 Sam James
2024-01-11 14:11 David Seifert
2024-01-11 14:11 David Seifert
2024-01-11 14:11 David Seifert
2023-11-23 17:12 Sam James
2023-11-23 17:12 Sam James
2023-11-17  7:47 Sam James
2023-09-10  5:54 WANG Xuerui
2023-08-23  9:02 David Seifert
2023-08-21 11:08 Sam James
2023-08-21 11:08 Sam James
2023-08-21 11:08 Sam James
2023-08-06  9:11 David Seifert
2023-08-05 14:01 Arthur Zamarin
2023-08-05 11:36 Arthur Zamarin
2023-08-05 11:36 Arthur Zamarin
2023-08-05 11:36 Arthur Zamarin
2023-08-05 11:35 Arthur Zamarin
2023-07-17 23:00 Sam James
2023-07-10 16:07 Jakov Smolić
2023-07-09 16:52 Arthur Zamarin
2023-07-09 11:03 Arthur Zamarin
2023-07-09  9:01 Sam James
2023-07-07  3:29 Sam James
2023-05-31  8:06 David Seifert
2023-05-31  8:06 David Seifert
2023-05-31  8:06 David Seifert
2023-03-30 16:09 Arthur Zamarin
2023-03-30 16:00 Arthur Zamarin
2023-03-26 18:18 Arthur Zamarin
2023-02-01 17:59 David Seifert
2023-02-01 11:52 David Seifert
2023-02-01 11:42 David Seifert
2022-09-01  9:28 David Seifert
2022-05-07 13:20 Jakov Smolić
2022-05-07 10:56 Jakov Smolić
2022-05-07 10:56 Jakov Smolić
2022-05-07 10:30 Arthur Zamarin
2022-05-07 10:25 Arthur Zamarin
2021-04-30 15:13 Mikle Kolyada
2021-04-30 15:13 Mikle Kolyada
2021-01-20  0:33 Sam James
2021-01-20  0:05 Sam James
2021-01-20  0:04 Sam James
2021-01-20  0:04 Sam James
2021-01-20  0:02 Sam James
2020-12-04 20:40 Mikle Kolyada
2020-08-16 11:23 Stefan Strogin
2020-04-22  8:32 Mikle Kolyada
2020-01-27 10:55 Mikle Kolyada
2020-01-17 10:30 Agostino Sarubbo
2020-01-17 10:28 Agostino Sarubbo
2020-01-17 10:27 Agostino Sarubbo
2020-01-17  9:33 Agostino Sarubbo
2020-01-17  9:29 Agostino Sarubbo
2020-01-13 12:08 Mikle Kolyada
2020-01-13 12:03 Mikle Kolyada
2019-05-19 15:48 Thomas Deutschmann
2019-04-20 17:57 Mikle Kolyada
2019-04-14 16:18 Mikle Kolyada
2019-04-13  7:38 Sergei Trofimovich
2019-04-07 21:01 Sergei Trofimovich
2019-04-04 11:54 Mikle Kolyada
2019-04-02 18:10 Alon Bar-Lev
2019-04-02 12:19 Mikle Kolyada
2018-09-27 23:55 Alon Bar-Lev
2018-09-15 19:14 Alon Bar-Lev
2018-09-14 20:50 Alon Bar-Lev
2018-09-09 21:52 Jeroen Roovers
2018-08-30 20:07 Markus Meier
2018-08-19  7:26 Matt Turner
2018-08-18 22:31 Sergei Trofimovich
2018-08-18 22:24 Sergei Trofimovich
2018-08-17  0:21 Mikle Kolyada
2018-08-16  0:39 Thomas Deutschmann
2017-07-20  5:03 Alon Bar-Lev
2017-03-25 18:11 Alon Bar-Lev
2017-03-15  6:01 Jeroen Roovers
2017-03-07 20:18 Michael Weber
2017-03-04 14:02 Agostino Sarubbo
2017-03-04 13:46 Agostino Sarubbo
2017-03-04 13:38 Agostino Sarubbo
2017-03-03 19:14 Tobias Klausmann
2016-06-26  0:09 Anthony G. Basile
2016-06-11 15:54 Alon Bar-Lev
2015-09-04 18:37 Alon Bar-Lev

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1630497543.c79a0efb8bd4595d843b4bdaa1a1c4b4f233b7d9.zlogene@gentoo \
    --to=zlogene@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox